function WeaponFactoryTweakData:SetupForbidVPG( mod_one, mod_two ) 
	if self.parts[mod_one] and self.parts[mod_two] then
		if not self.parts[mod_one].forbids then
			self.parts[mod_one].forbids = {}
		end
		table.insert(self.parts[mod_one].forbids, mod_two)
	end
end

Hooks:PostHook( WeaponFactoryTweakData, "init", "foregrip_packmodInit", function(self)

self.parts.wpn_fps_smg_mac10_body_ris_vg.pcs = false
self.parts.wpn_fps_smg_mp5_fg_proto.pcs = false
self.parts.wpn_fps_ass_contraband_gl_m203.type = "vertical_grip"

-- Check if some other mod already uses self.parts.wpn_upg_ak_fg_standard.forbids

self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_mp5a4", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_mp5a4", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_mp5a4", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_mp5a4", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_mp5a4", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_mp5a4", "wpn_fps_m4_fg_tr1foregrip" )

self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_flash", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_flash", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_flash", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_flash", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_flash", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_mp5_fg_flash", "wpn_fps_m4_fg_tr1foregrip" )
	
self:SetupForbidVPG( "wpn_upg_ak_fg_standard_gold", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard_gold", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard_gold", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard_gold", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard_gold", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard_gold", "wpn_fps_m4_fg_tr1foregrip" )
	
self:SetupForbidVPG( "wpn_upg_ak_fg_standard", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_upg_ak_fg_standard", "wpn_fps_m4_fg_tr1foregrip" )
	
self:SetupForbidVPG( "wpn_fps_m16_fg_standard", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_fps_m16_fg_standard", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_fps_m16_fg_standard", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_fps_m16_fg_standard", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_fps_m16_fg_standard", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_fps_m16_fg_standard", "wpn_fps_m4_fg_tr1foregrip" )

self:SetupForbidVPG( "wpn_fps_smg_olympic_fg_olympic", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_olympic_fg_olympic", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_olympic_fg_olympic", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_fps_smg_olympic_fg_olympic", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_fps_smg_olympic_fg_olympic", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_fps_smg_olympic_fg_olympic", "wpn_fps_m4_fg_tr1foregrip" )

self:SetupForbidVPG( "wpn_fps_ass_ak5_fg_ak5a", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_ak5_fg_ak5a", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_ak5_fg_ak5a", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_fps_ass_ak5_fg_ak5a", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_fps_ass_ak5_fg_ak5a", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_ak5_fg_ak5a", "wpn_fps_m4_fg_tr1foregrip" )

self:SetupForbidVPG( "wpn_fps_ass_m14_body_dmr", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_m14_body_dmr", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_m14_body_dmr", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_fps_ass_m14_body_dmr", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_fps_ass_m14_body_dmr", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_m14_body_dmr", "wpn_fps_m4_fg_tr1foregrip" )
	
self:SetupForbidVPG( "wpn_upg_saiga_fg_standard", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_upg_saiga_fg_standard", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_upg_saiga_fg_standard", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_upg_saiga_fg_standard", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_upg_saiga_fg_standard", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_upg_saiga_fg_standard", "wpn_fps_m4_fg_tr1foregrip" )
	
self:SetupForbidVPG( "wpn_fps_ass_s552_fg_standard", "wpn_fps_m4_fg_hk416cforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_s552_fg_standard", "wpn_fps_m4_fg_augforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_s552_fg_standard", "wpn_fps_m4_fg_mp7foregrip" )
self:SetupForbidVPG( "wpn_fps_ass_s552_fg_standard", "wpn_fps_m4_fg_cz805foregrip" )
self:SetupForbidVPG( "wpn_fps_ass_s552_fg_standard", "wpn_fps_m4_fg_angleforegrip" )
self:SetupForbidVPG( "wpn_fps_ass_s552_fg_standard", "wpn_fps_m4_fg_tr1foregrip" )

self:SetupForbidVPG( "wpn_fps_smg_scorpion_s_standard", "wpn_fps_upg_fl_pis_surefire" )

self:SetupForbidVPG( "wpn_fps_smg_mac10_body_ris", "wpn_fps_upg_fl_pis_surefire" )
	
self:SetupForbidVPG( "wpn_fps_lmg_m249_fg_standard", "wpn_fps_upg_fl_pis_surefire" )

self:SetupForbidVPG( "wpn_fps_sho_basset_fg_short", "wpn_fps_upg_fl_pis_surefire" )

self:SetupForbidVPG( "wpn_fps_pis_usp_b_match", "wpn_fps_upg_fl_pis_surefire" )

--self:SetupForbidVPG( "wpn_fps_ass_contraband_gl_m203", "wpn_fps_upg_fl_pis_surefire" )
	
self.parts.wpn_upg_ak_fg_rpk_wood.forbids = {
	"wpn_fps_m4_fg_hk416cforegrip",
	"wpn_fps_m4_fg_augforegrip",
	"wpn_fps_m4_fg_mp7foregrip",
	"wpn_fps_m4_fg_cz805foregrip",
	"wpn_fps_m4_fg_angleforegrip",
	"wpn_fps_m4_fg_tr1foregrip"
	}
self.parts.wpn_fps_m4_fg_hk416cforegrip.forbids = {
	"wpn_fps_smg_mp5_fg_flash",
	"wpn_fps_m16_fg_vietnam",
	"wpn_fps_m4_uupg_fg_lr300",
	"wpn_fps_upg_fg_jp",
	"wpn_fps_upg_fg_smr",
	"wpn_fps_upg_ass_m4_fg_moe",
	"wpn_fps_upg_ass_m16_fg_stag",
	"wpn_upg_ak_fg_combo2",
	"wpn_fps_upg_ak_fg_tapco",
	"wpn_fps_upg_ak_fg_krebs",
	"wpn_fps_upg_g36_fg_long",
	"wpn_fps_ass_g36_fg_ksk",
	"wpn_fps_ass_ak5_fg_fnc",
	"wpn_fps_upg_smg_olympic_fg_lr300",
	"wpn_fps_sho_saiga_fg_holy",
	"wpn_fps_ass_s552_fg_standard_green"
	}  
self.parts.wpn_fps_m4_fg_augforegrip.forbids = {
	"wpn_fps_smg_mp5_fg_flash",
	"wpn_fps_m16_fg_vietnam",
	"wpn_fps_m4_uupg_fg_lr300",
	"wpn_fps_upg_fg_jp",
	"wpn_fps_upg_fg_smr",
	"wpn_fps_upg_ass_m4_fg_moe",
	"wpn_fps_upg_ass_m16_fg_stag",
	"wpn_upg_ak_fg_combo2",
	"wpn_fps_upg_ak_fg_tapco",
	"wpn_fps_upg_ak_fg_krebs",
	"wpn_fps_upg_g36_fg_long",
	"wpn_fps_ass_g36_fg_ksk",
	"wpn_fps_ass_ak5_fg_fnc",
	"wpn_fps_upg_smg_olympic_fg_lr300",
	"wpn_fps_sho_saiga_fg_holy",
	"wpn_fps_ass_s552_fg_standard_green"
	}  
self.parts.wpn_fps_m4_fg_mp7foregrip.forbids = {
	"wpn_fps_smg_mp5_fg_flash",
	"wpn_fps_m16_fg_vietnam",
	"wpn_fps_m4_uupg_fg_lr300",
	"wpn_fps_upg_fg_jp",
	"wpn_fps_upg_fg_smr",
	"wpn_fps_upg_ass_m4_fg_moe",
	"wpn_fps_upg_ass_m16_fg_stag",
	"wpn_upg_ak_fg_combo2",
	"wpn_fps_upg_ak_fg_tapco",
	"wpn_fps_upg_ak_fg_krebs",
	"wpn_fps_upg_g36_fg_long",
	"wpn_fps_ass_g36_fg_ksk",
	"wpn_fps_ass_ak5_fg_fnc",
	"wpn_fps_upg_smg_olympic_fg_lr300",
	"wpn_fps_sho_saiga_fg_holy",
	"wpn_fps_ass_s552_fg_standard_green"
	}  
self.parts.wpn_fps_m4_fg_cz805foregrip.forbids = {
	"wpn_fps_smg_mp5_fg_flash",
	"wpn_fps_m16_fg_vietnam",
	"wpn_fps_m4_uupg_fg_lr300",
	"wpn_fps_upg_fg_jp",
	"wpn_fps_upg_fg_smr",
	"wpn_fps_upg_ass_m4_fg_moe",
	"wpn_fps_upg_ass_m16_fg_stag",
	"wpn_upg_ak_fg_combo2",
	"wpn_fps_upg_ak_fg_tapco",
	"wpn_fps_upg_ak_fg_krebs",
	"wpn_fps_upg_g36_fg_long",
	"wpn_fps_ass_g36_fg_ksk",
	"wpn_fps_ass_ak5_fg_fnc",
	"wpn_fps_upg_smg_olympic_fg_lr300",
	"wpn_fps_sho_saiga_fg_holy",
	"wpn_fps_ass_s552_fg_standard_green"
	}  
self.parts.wpn_fps_m4_fg_angleforegrip.forbids = {
	"wpn_fps_smg_mp5_fg_flash",
	"wpn_fps_m16_fg_vietnam",
	"wpn_fps_m4_uupg_fg_lr300",
	"wpn_fps_upg_fg_jp",
	"wpn_fps_upg_fg_smr",
	"wpn_fps_upg_ass_m4_fg_moe",
	"wpn_fps_upg_ass_m16_fg_stag",
	"wpn_upg_ak_fg_combo2",
	"wpn_fps_upg_ak_fg_tapco",
	"wpn_fps_upg_ak_fg_krebs",
	"wpn_fps_ass_g36_fg_c",
	"wpn_fps_upg_g36_fg_long",
	"wpn_fps_ass_g36_fg_ksk",
	"wpn_fps_ass_ak5_fg_fnc",
	"wpn_fps_upg_smg_olympic_fg_lr300",
	"wpn_fps_sho_saiga_fg_holy",
	"wpn_fps_ass_s552_fg_standard_green"
	}  
self.parts.wpn_fps_m4_fg_tr1foregrip.forbids = {
	"wpn_fps_smg_mp5_fg_flash",
	"wpn_fps_m16_fg_vietnam",
	"wpn_fps_m4_uupg_fg_lr300",
	"wpn_fps_upg_fg_jp",
	"wpn_fps_upg_fg_smr",
	"wpn_fps_upg_ass_m4_fg_moe",
	"wpn_fps_upg_ass_m16_fg_stag",
	"wpn_upg_ak_fg_combo2",
	"wpn_fps_upg_ak_fg_tapco",
	"wpn_fps_upg_ak_fg_krebs",
	"wpn_fps_ass_g36_fg_c",
	"wpn_fps_upg_g36_fg_long",
	"wpn_fps_ass_g36_fg_ksk",
	"wpn_fps_ass_ak5_fg_fnc",
	"wpn_fps_upg_smg_olympic_fg_lr300",
	"wpn_fps_sho_saiga_fg_holy",
	"wpn_fps_ass_s552_fg_standard_green"
	}  

self.parts.wpn_fps_sho_ksg_fg_noforegrip.forbids = {
	"wpn_fps_sho_ksg_b_short"
}

self.parts.wpn_fps_m4_fg_hk416cforegrip.adds = {}
self.parts.wpn_fps_m4_fg_augforegrip.adds = {}
self.parts.wpn_fps_m4_fg_mp7foregrip.adds = {}
self.parts.wpn_fps_m4_fg_cz805foregrip.adds = {}
self.parts.wpn_fps_m4_fg_angleforegrip.adds = {}
self.parts.wpn_fps_m4_fg_tr1foregrip.adds = {}

-- >:[ yEaRs oF eXPeRiEnCe
table.insert(self.wpn_fps_smg_x_scorpion.uses_parts, "wpn_fps_smg_scorpion_s_unfolded")
table.insert(self.wpn_fps_smg_x_scorpion.uses_parts, "wpn_fps_smg_scorpion_s_nostock")
   


if not BeardLib.Utils:FindMod("MP5K FG") then
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_smg_mp5_fg_stripped")
	table.insert(self.wpn_fps_smg_x_mp5.uses_parts, "wpn_fps_smg_mp5_fg_stripped")
	if SystemFS:exists("mods/Real RoF/mod.txt") then
		self.parts.wpn_fps_smg_mp5_fg_stripped.custom_stats = {rof_mult = 1.125}
	else 
		self.parts.wpn_fps_smg_mp5_fg_stripped.custom_stats = {rof_mult = 1.2}
	end
	self.parts.wpn_fps_smg_mp5_fg_stripped.adds = {"wpn_fps_smg_mp5_fg_proto", "wpn_fps_smg_mp5_b_m5k"}
		
	self.parts.wpn_fps_smg_mp5_fg_stripped.weapon_hold_override = {
				bm_w_mp5 = "schakal"
			}
	self.parts.wpn_fps_smg_mp5_fg_stripped.weapon_stance_override = {
				bm_w_mp5 = "mp5_vgp"
			}
end
self.parts.wpn_fps_smg_mp5_fg_stripped.forbids = {
		"wpn_fps_m4_fg_hk416cforegrip",
		"wpn_fps_m4_fg_augforegrip",
		"wpn_fps_m4_fg_mp7foregrip",
		"wpn_fps_m4_fg_cz805foregrip",
		"wpn_fps_m4_fg_angleforegrip",
		"wpn_fps_m4_fg_tr1foregrip"
		}
if not BeardLib.Utils:FindMod("Uzi VG-less") then
	table.insert(self.wpn_fps_smg_uzi.uses_parts, "wpn_fps_smg_uzi_fg_vgless")
	table.insert(self.wpn_fps_smg_x_uzi.uses_parts, "wpn_fps_smg_uzi_fg_vgless")
	self.parts.wpn_fps_smg_uzi_fg_vgless.weapon_hold_override = {
				bm_w_uzi = "scorpion"
			}
	self.parts.wpn_fps_smg_uzi_fg_vgless.weapon_stance_override = {
				bm_w_uzi = "uzi"
			}
end
if not BeardLib.Utils:FindMod("Extra Attachments Compilation ±") then
	table.insert(self.wpn_fps_ass_m4.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_m4.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_ass_m16.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_m16.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_smg_olympic.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_smg_olympic.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_smg_x_olympic.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_smg_x_olympic.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_smg_mp5.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_smg_x_mp5.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_smg_x_mp5.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_g36.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_ak5.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_ass_scar.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_akm.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_akm.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_ass_akm_gold.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_akm_gold.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_ass_74.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_74.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_shot_saiga.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_shot_saiga.uses_parts, "wpn_fps_m4_fg_angleforegrip")
	table.insert(self.wpn_fps_ass_s552.uses_parts, "wpn_fps_m4_fg_tr1foregrip")
	table.insert(self.wpn_fps_ass_s552.uses_parts, "wpn_fps_m4_fg_angleforegrip")
end






-- Pistol Foregrip

--if self.parts.wpn_fps_upg_o_rmr.override then
--	self.parts.wpn_fps_upg_o_rmr.override.wpn_fps_smg_mp9_fg_noforegrip = {stance_mod.wpn_fps_pis_packrat = {translation = Vector3(0, -10, 2)}}
--else
--	self.parts.wpn_fps_upg_o_rmr.override = {wpn_fps_smg_mp9_fg_noforegrip.stance_mod = {wpn_fps_pis_packrat = {translation = Vector3(0, -10, 2)}}}
--end

if self.wpn_fps_smg_scorpion.override then
	self.wpn_fps_smg_scorpion.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
else
	self.wpn_fps_smg_scorpion.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}}
end
if self.wpn_fps_smg_x_scorpion.override then
	self.wpn_fps_smg_x_scorpion.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
else
	self.wpn_fps_smg_x_scorpion.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}}
end

if self.wpn_fps_lmg_m249.override then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
else
	self.wpn_fps_lmg_m249.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}}
end
if self.wpn_fps_lmg_m249.adds then
	self.wpn_fps_lmg_m249.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip"}
else
	self.wpn_fps_lmg_m249.adds = {wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip"}}
end

if self.wpn_fps_smg_mac10.adds then
	self.wpn_fps_smg_mac10.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mac10_body_ris_vg"}
else
	self.wpn_fps_smg_mac10.adds = {wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mac10_body_ris_vg"}}
end
self.wpn_fps_smg_mac10.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}

if self.wpn_fps_smg_x_mac10.adds then
	self.wpn_fps_smg_x_mac10.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mac10_body_ris_vg"}
else
	self.wpn_fps_smg_x_mac10.adds = {wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mac10_body_ris_vg"}}
end
self.wpn_fps_smg_x_mac10.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}

if self.wpn_fps_sho_spas12.override then
	self.wpn_fps_sho_spas12.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
	self.wpn_fps_sho_spas12.override.wpn_fps_shot_r870_gadget_rail = {a_obj = "a_fpakwfl2"}
else
	self.wpn_fps_sho_spas12.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"},wpn_fps_shot_r870_gadget_rail = {a_obj = "a_fpakwfl2"}}
end
if self.wpn_fps_sho_ben.override then
	self.wpn_fps_sho_ben.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
	self.wpn_fps_sho_ben.override.wpn_fps_shot_r870_gadget_rail = {a_obj = "a_fpakwfl2"}
else
	self.wpn_fps_sho_ben.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"},wpn_fps_shot_r870_gadget_rail = {a_obj = "a_fpakwfl2"}}
end
if self.wpn_fps_sho_ben.adds then
	self.wpn_fps_sho_ben.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_shot_r870_gadget_rail"}
else
	self.wpn_fps_sho_ben.adds = {wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_shot_r870_gadget_rail"}}
end
if self.wpn_fps_sho_aa12.override then
	self.wpn_fps_sho_aa12.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
	self.wpn_fps_sho_aa12.override.wpn_fps_shot_r870_gadget_rail = {a_obj = "a_fpakwfl2"}
else
	self.wpn_fps_sho_aa12.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"},wpn_fps_shot_r870_gadget_rail = {a_obj = "a_fpakwfl2"}}
end
if self.wpn_fps_smg_erma.override then
	self.wpn_fps_smg_erma.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
else
	self.wpn_fps_smg_erma.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}}
end
if self.wpn_fps_sho_basset.override then
	self.wpn_fps_sho_basset.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
else
	self.wpn_fps_sho_basset.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}}
end
if self.wpn_fps_sho_x_basset.override then
	self.wpn_fps_sho_x_basset.override.wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}
else
	self.wpn_fps_sho_x_basset.override = {wpn_fps_upg_fl_pis_surefire = {a_obj = "a_fpakwfl"}}
end
if self.wpn_fps_sho_basset.adds then
	self.wpn_fps_sho_basset.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip"}
else
	self.wpn_fps_sho_basset.adds = {wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip"}}
end

self.parts.wpn_fps_upg_fl_pis_surefire.forbids = {"wpn_fps_smg_mac10_body_ris"}
self.parts.wpn_fps_upg_fl_pis_surefire.weapon_hold_override = {
			bm_w_glock_18c 	= "cobray",
			bm_w_deagle 	= "cobray",
			bm_w_colt_1911 	= "cobray",
			bm_w_b92fs 		= "cobray",
			bm_w_usp 		= "scorpion",
			bm_w_g22c 		= "cobray",
			bm_w_p226 		= "scorpion",
			bm_w_ppk 		= "scorpion",
			bm_w_shrew 		= "scorpion",
			bm_wp_pis_g26 	= "cobray",
			bm_w_hs2000 	= "scorpion",
			bm_w_mateba 	= "scorpion",
			bm_w_baka 		= "tec9",
			bm_w_sparrow 	= "cobray",
			bm_w_pl14 		= "cobray",
			bm_w_packrat 	= "scorpion",
			bm_w_lemming 	= "cobray",
			bm_w_glock_17 	= "cobray",
			bm_w_hunter 	= "cobray",
			bm_w_scorpion 	= "schakal",
			bm_w_mac10 		= "mp9",
			bm_w_m249 		= "tecci",
			bm_w_contraband = "tecci",
			bm_w_spas12		= "m32",
			bm_w_benelli	= "m32",
			bm_w_aa12		= "tecci",
			bm_w_basset		= "tecci"
        }     
self.parts.wpn_fps_upg_fl_pis_surefire.weapon_stance_override = {
			bm_w_glock_18c 	= "glock_18c_vgp",
			bm_w_deagle 	= "deagle_vgp",
			bm_w_colt_1911 	= "colt_1911_vgp",
			bm_w_b92fs 		= "b92fs_vgp",
			bm_w_usp 		= "usp_vgp",
			bm_w_g22c 		= "g22c_vgp",
			bm_w_p226 		= "p226_vgp",
			bm_w_ppk 		= "ppk_vgp",
			bm_w_shrew 		= "shrew_vgp",
			bm_wp_pis_g26 	= "g26_vgp",
			bm_w_hs2000 	= "hs2000_vgp",
			bm_w_mateba 	= "mateba_vgp",
			bm_w_baka 		= "baka_vgp",
			bm_w_sparrow 	= "g22c_vgp",
			bm_w_pl14 		= "pl14_vgp",
			bm_w_packrat 	= "packrat_vgp",
			bm_w_lemming 	= "lemming_vgp",
			bm_w_glock_17 	= "pl14_vgp",
			bm_w_hunter 	= "hunter",
			bm_w_scorpion 	= "scorpion_vgp",
			bm_w_mac10 		= "mac10_vgp",
			bm_w_m249 		= "m249_vgp",
			bm_w_contraband = "contraband",
			bm_w_spas12		= "spas12_vgp",
			bm_w_benelli	= "benelli_vgp",
			bm_w_aa12		= "aa12_vgp",
			bm_w_basset		= "basset_vgp"
        }
		
self.parts.wpn_fps_upg_fl_pis_surefire.adds = {"wpn_fps_smg_mp9_fg_noforegrip"}
self.wpn_fps_pis_ppk.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_ppk_fl_mount"}
self.wpn_fps_pis_x_ppk.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_ppk_fl_mount"}
self.wpn_fps_pis_g26.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_g26_fl_adapter"}
self.wpn_fps_jowi.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_g26_fl_adapter"}
self.wpn_fps_pis_beretta.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_beretta_body_rail"}
self.wpn_fps_x_b92fs.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_beretta_body_rail"}
self.wpn_fps_pis_deagle.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_deagle_fg_rail"}
self.wpn_fps_x_deagle.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_deagle_fg_rail"}
self.wpn_fps_pis_usp.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_usp_fl_adapter"}
self.wpn_fps_pis_x_usp.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_usp_fl_adapter"}
self.wpn_fps_pis_2006m.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_2006m_fl_adapter"}
self.wpn_fps_pis_x_2006m.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_2006m_fl_adapter"}
self.wpn_fps_smg_baka.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_smg_baka_fl_adapter"}
self.wpn_fps_smg_x_baka.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_smg_baka_fl_adapter"}
self.wpn_fps_pis_sparrow.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_sparrow_fl_dummy"}
self.wpn_fps_pis_x_sparrow.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_sparrow_fl_dummy"}
self.wpn_fps_smg_scorpion.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip"}--,"wpn_fps_smg_scorpion_extra_rail_gadget"
self.wpn_fps_smg_x_scorpion.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip"}--,"wpn_fps_smg_scorpion_extra_rail_gadget"
self.wpn_fps_pis_shrew.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_shrew_fl_adapter"}
self.wpn_fps_pis_x_shrew.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_pis_shrew_fl_adapter"}
self.wpn_fps_sho_spas12.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_shot_r870_gadget_rail"}
self.wpn_fps_sho_aa12.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_shot_r870_gadget_rail"}
self.wpn_fps_smg_erma.adds.wpn_fps_upg_fl_pis_surefire = {"wpn_fps_smg_mp9_fg_noforegrip","wpn_fps_shot_r870_gadget_rail"}


self.parts.wpn_fps_sho_ksg_b_standard = {
		type = "barrel",
		name_id = "bm_wp_ksg_b_standard",
		unit = "units/pd2_dlc_gage_shot/weapons/wpn_fps_sho_ksg_pts/wpn_fps_sho_ksg_b_standard",
		a_obj = "a_b",
		stats = {value = 1},
		forbids = {"wpn_fps_sho_ksg_fg_short"},
		override = {wpn_fps_upg_o_dd_front = {a_obj = "a_o_f_2"}}
	}

--Vertical Grips--

-- AKM for RPK
self.parts.wpn_fps_lmg_rpk_fg_akm.weapon_hold_override = {
            bm_w_rpk = "ak47"
        }     
self.parts.wpn_fps_lmg_rpk_fg_akm.weapon_stance_override = {
				bm_w_rpk = "akm"
			}

--RPK for AKs
self.parts.wpn_upg_ak_fg_rpk_wood.weapon_hold_override = {
            bm_w_akm = "rpk",
            bm_w_ak74 = "rpk",
            bm_w_akm_gold = "rpk"
        }     
self.parts.wpn_upg_ak_fg_rpk_wood.weapon_stance_override = {
            bm_w_akm = "akms_vgp",
            bm_w_ak74 = "akms_vgp",
            bm_w_akm_gold = "akms_vgp"
			}

-- RPK for AKMSU
self.parts.wpn_fps_smg_akmsu_fg_rpk.weapon_hold_override = {
            bm_w_akmsu = "tecci"
        }     
self.parts.wpn_fps_smg_akmsu_fg_rpk.weapon_stance_override = {
            bm_w_akmsu = "akmsu_vgp"
			}

-- HK416C no Vertical Grip
self.parts.wpn_fps_ass_tecci_fg_noforegrip.weapon_hold_override = {
            bm_w_tecci = "new_m4"
        }     
self.parts.wpn_fps_ass_tecci_fg_noforegrip.weapon_stance_override = {
            bm_w_tecci = "contraband_novg"
			}
-- HK417 no vertical Grip
self.parts.wpn_fps_ass_contraband_fg_noforegrip.weapon_hold_override = {
            bm_w_contraband = "new_m4"
        }     
self.parts.wpn_fps_ass_contraband_fg_noforegrip.weapon_stance_override = {
            bm_w_contraband = "contraband_novg"
			}
		

-- Magpul RVG
self.parts.wpn_fps_m4_fg_hk416cforegrip.weapon_hold_override = {
            bm_w_m4 		= "tecci",
			bm_w_olympic 	= "tecci",
			bm_w_mp5 		= "tecci",
			bm_w_m16 		= "tecci",
			bm_w_g36 		= "rpk",
			bm_w_ak5 		= "tecci",
			bm_w_scar 		= "tecci",
			bm_w_saiga 		= "rpk",
			bm_w_basset 	= "rpk",
			bm_w_m14 		= "rpk",
			bm_w_s552 		= "tecci",
			bm_w_tti 		= "tecci",
			bm_w_contraband = "rpk",
			bm_w_akm 		= "rpk",
            bm_w_ak74 		= "rpk",
            bm_w_akm_gold 	= "rpk",
            bm_w_serbu 		= "ksg"
        }     
--self.wpn_fps_lmg_mg42.override.wpn_fps_m4_fg_hk416cforegrip = {a_obj = "a_fpakwvg"}
self.parts.wpn_fps_m4_fg_hk416cforegrip.weapon_stance_override = {
            bm_w_m4 		= "new_m4_vgp",
			bm_w_olympic 	= "k23b_vgp",
			bm_w_mp5 		= "new_mp5_vgp",
			bm_w_m16 		= "k23b_vgp",
			bm_w_g36 		= "g36_vgp",
			bm_w_ak5 		= "ak5_vgp",
			bm_w_scar 		= "scar_vgp",
			bm_w_saiga 		= "saiga_vgp",
			bm_w_basset 	= "basset_vgp",
			bm_w_m14 		= "new_m14_vgp",
			bm_w_s552 		= "sg552_vgp",
			bm_w_tti 		= "tti_vgp",
			bm_w_contraband = "contraband",
			bm_w_akm 		= "akms_vgp",
            bm_w_ak74 		= "akms_vgp",
            bm_w_akm_gold 	= "akms_vgp",
            bm_w_serbu 		= "serbu_vgp"
        }
-- TROY Modular Vertical Grip
self.parts.wpn_fps_m4_fg_augforegrip.weapon_hold_override = {
            bm_w_m4 		= "tecci",
			bm_w_olympic 	= "tecci",
			bm_w_mp5 		= "tecci",
			bm_w_m16 		= "tecci",
			bm_w_g36 		= "rpk",
			bm_w_ak5 		= "tecci",
			bm_w_scar 		= "tecci",
			bm_w_saiga 		= "rpk",
			bm_w_basset 	= "rpk",
			bm_w_m14 		= "rpk",
			bm_w_s552 		= "tecci",
			bm_w_tti 		= "tecci",
			bm_w_contraband = "rpk",
			bm_w_akm 		= "rpk",
            bm_w_ak74 		= "rpk",
            bm_w_akm_gold 	= "rpk",
            bm_w_serbu 		= "ksg"
        }     
self.parts.wpn_fps_m4_fg_augforegrip.weapon_stance_override = {
            bm_w_m4 		= "new_m4_vgp",
			bm_w_olympic 	= "k23b_vgp",
			bm_w_mp5 		= "new_mp5_vgp",
			bm_w_m16 		= "k23b_vgp",
			bm_w_g36 		= "g36_vgp",
			bm_w_ak5 		= "ak5_vgp",
			bm_w_scar 		= "scar_vgp",
			bm_w_saiga 		= "saiga_vgp",
			bm_w_basset 	= "basset_vgp",
			bm_w_m14 		= "new_m14_vgp",
			bm_w_s552 		= "sg552_vgp",
			bm_w_tti 		= "tti_vgp",
			bm_w_contraband = "contraband",
			bm_w_akm 		= "akms_vgp",
            bm_w_ak74 		= "akms_vgp",
            bm_w_akm_gold 	= "akms_vgp",
            bm_w_serbu 		= "serbu_vgp"
        }
-- TangoDown Stubby
self.parts.wpn_fps_m4_fg_mp7foregrip.weapon_hold_override = {
            bm_w_m4 		= "tecci",
			bm_w_olympic 	= "tecci",
			bm_w_mp5 		= "tecci",
			bm_w_m16 		= "tecci",
			bm_w_g36 		= "rpk",
			bm_w_ak5 		= "tecci",
			bm_w_scar 		= "tecci",
			bm_w_saiga 		= "rpk",
			bm_w_basset 	= "rpk",
			bm_w_m14 		= "rpk",
			bm_w_s552 		= "tecci",
			bm_w_tti 		= "tecci",
			bm_w_contraband = "rpk",
			bm_w_akm 		= "rpk",
            bm_w_ak74 		= "rpk",
            bm_w_akm_gold 	= "rpk",
            bm_w_serbu 		= "ksg"
        }     
self.parts.wpn_fps_m4_fg_mp7foregrip.weapon_stance_override = {
            bm_w_m4 		= "new_m4_vgp",
			bm_w_olympic 	= "k23b_vgp",
			bm_w_mp5 		= "new_mp5_vgp",
			bm_w_m16 		= "k23b_vgp",
			bm_w_g36 		= "g36_vgp",
			bm_w_ak5 		= "ak5_vgp",
			bm_w_scar 		= "scar_vgp",
			bm_w_saiga 		= "saiga_vgp",
			bm_w_basset 	= "basset_vgp",
			bm_w_m14 		= "new_m14_vgp",
			bm_w_s552 		= "sg552_vgp",
			bm_w_tti 		= "tti_vgp",
			bm_w_contraband = "contraband",
			bm_w_akm 		= "akms_vgp",
            bm_w_ak74 		= "akms_vgp",
            bm_w_akm_gold 	= "akms_vgp",
            bm_w_serbu 		= "serbu_vgp"
        }
-- Magpul MVG
self.parts.wpn_fps_m4_fg_cz805foregrip.weapon_hold_override = {
            bm_w_m4 		= "tecci",
			bm_w_olympic 	= "tecci",
			bm_w_mp5 		= "tecci",
			bm_w_m16 		= "tecci",
			bm_w_g36 		= "rpk",
			bm_w_ak5 		= "tecci",
			bm_w_scar 		= "tecci",
			bm_w_saiga 		= "rpk",
			bm_w_basset 	= "rpk",
			bm_w_m14 		= "rpk",
			bm_w_s552 		= "tecci",
			bm_w_tti 		= "tecci",
			bm_w_contraband = "rpk",
			bm_w_akm 		= "rpk",
            bm_w_ak74 		= "rpk",
            bm_w_akm_gold 	= "rpk",
            bm_w_serbu 		= "ksg"
        }     
self.parts.wpn_fps_m4_fg_cz805foregrip.weapon_stance_override = {
            bm_w_m4 		= "new_m4_vgp",
			bm_w_olympic 	= "k23b_vgp",
			bm_w_mp5 		= "new_mp5_vgp",
			bm_w_m16 		= "k23b_vgp",
			bm_w_g36 		= "g36_vgp",
			bm_w_ak5 		= "ak5_vgp",
			bm_w_scar 		= "scar_vgp",
			bm_w_saiga 		= "saiga_vgp",
			bm_w_basset 	= "basset_vgp",
			bm_w_m14 		= "new_m14_vgp",
			bm_w_s552 		= "sg552_vgp",
			bm_w_tti 		= "tti_vgp",
			bm_w_contraband = "contraband",
			bm_w_akm 		= "akms_vgp",
            bm_w_ak74 		= "akms_vgp",
            bm_w_akm_gold 	= "akms_vgp",
            bm_w_serbu 		= "serbu_vgp"
        }
-- Magpul AFG
self.parts.wpn_fps_m4_fg_angleforegrip.weapon_hold_override = {
			bm_w_contraband = "m4"
        }     
self.parts.wpn_fps_m4_fg_angleforegrip.stance_mod = {
wpn_fps_ass_contraband = {translation = Vector3(0, 7, -0.95)}
}
self.parts.wpn_fps_m4_fg_angleforegrip.weapon_stance_override = {
            bm_w_contraband = "m4"
        }

-- Cobra Tactical
self.parts.wpn_fps_m4_fg_tr1foregrip.weapon_hold_override = {
			bm_w_contraband = "m4"
        }     
self.parts.wpn_fps_m4_fg_tr1foregrip.stance_mod = {
wpn_fps_ass_contraband = {translation = Vector3(0, 7, -0.95)}
}
self.parts.wpn_fps_m4_fg_tr1foregrip.weapon_stance_override = {
            bm_w_contraband = "m4"
        }

-- M32	no vg
self.parts.wpn_fps_gre_m32_fg_noforegrip.weapon_hold_override = {
            bm_w_m32 = "m249"
        }     
self.parts.wpn_fps_gre_m32_fg_noforegrip.weapon_stance_override = {
            bm_w_m32 = "m32_vgp"
        }     
		
-- SR2 no vg
self.parts.wpn_fps_smg_sr2_vg_noforegrip.weapon_hold_override = {
            bm_w_sr2 = "scorpion"
        }     
self.parts.wpn_fps_smg_sr2_vg_noforegrip.weapon_stance_override = {
            bm_w_sr2 = "sr2_novgp"
        }     

-- Six 12 no vg
self.parts.wpn_fps_sho_rota_fg_noforegrip.weapon_hold_override = {
            bm_w_rota = "vhs"
        }     
self.parts.wpn_fps_sho_rota_fg_noforegrip.weapon_stance_override = {
            bm_w_rota = "six_novgp"
        }     

-- KSG 
-->:( FUCK THIS GUN
self.parts.wpn_fps_sho_ksg_fg_noforegrip.weapon_hold_override = {
            bm_w_ksg = "r870_shotgun"
        }     
self.parts.wpn_fps_sho_ksg_fg_noforegrip.weapon_stance_override = {
            bm_w_ksg = "ksg_novgp"
        }     	
	
--Cobray M11/9 no vg
self.parts.wpn_fps_smg_cobray_fg_noforegrip.weapon_hold_override = {
            bm_w_cobray = "scorpion"
        }     

self.parts.wpn_fps_smg_cobray_fg_noforegrip.override = {wpn_fps_smg_cobray_body_upper = {
			unit = "units/mods/weapons/wpn_fps_smg_cobray_pts_fpakw/wpn_fps_smg_cobray_body_upper_nofg"
		}}
self.parts.wpn_fps_smg_cobray_fg_noforegrip.weapon_stance_override = {
            bm_w_cobray = "cobray_novgp"
        }     	
		
-- Vector no vg
self.parts.wpn_fps_smg_polymer_fg_noforegrip.weapon_hold_override = {
            bm_w_polymer = "asval"
        }     
self.parts.wpn_fps_smg_polymer_fg_noforegrip.weapon_stance_override = {
            bm_w_polymer = "polymer_novgp"
        }     	
		
-- Thompson no vg
self.parts.wpn_fps_smg_thompson_fg_noforegrip.weapon_hold_override = {
            bm_w_m1928 = "mp5"
        }     
self.parts.wpn_fps_smg_thompson_fg_noforegrip.weapon_stance_override = {
            bm_w_m1928 = "m1928_novgp"
        }     	

-- CZ805 no vg
self.parts.wpn_fps_smg_hajk_fg_noforegrip.weapon_hold_override = {
            bm_w_hajk = "new_m4"
        }     
self.parts.wpn_fps_smg_hajk_fg_noforegrip.weapon_stance_override = {
            bm_w_hajk = "hajk_novgp"
        }
		
-- UMP
self.parts.wpn_fps_smg_schakal_fg_noforegrip.weapon_hold_override = {
            bm_w_schakal = "mp5"
        }     
self.parts.wpn_fps_smg_schakal_fg_noforegrip.weapon_stance_override = {
            bm_w_schakal = "ump_novgp"
        }
	
-- AUG
self.parts.wpn_fps_aug_fg_noforegrip.weapon_hold_override = {
            bm_w_aug = "vhs"
        }     
self.parts.wpn_fps_aug_fg_noforegrip.weapon_stance_override = {
            bm_w_aug = "aug_novgp"
        }

-- F2000
self.parts.wpn_fps_ass_corgi_fg_noforegrip.weapon_hold_override = {
            bm_w_corgi = "vhs"
        }     
self.parts.wpn_fps_ass_corgi_fg_noforegrip.weapon_stance_override = {
            bm_w_corgi = "f2000_novgp"
        }
		
--Mp7
self.parts.wpn_fps_smg_mp7_fg_noforegrip.weapon_hold_override = {
            bm_w_mp7 = "scorpion"
        }     
self.parts.wpn_fps_smg_mp7_fg_noforegrip.weapon_stance_override = {
            bm_w_mp7 = "mp7_novgp"
        }
		
--Flamethrower
self.parts.wpn_fps_fla_mk2_noforegrip.weapon_hold_override = {
            bm_w_flamethrower_mk2 = "vhs"
        }     
self.parts.wpn_fps_fla_mk2_noforegrip.weapon_stance_override = {
            bm_w_flamethrower_mk2 = "flamethrower_mk2"
        }
		
--Striker no just no. Who ever made the striker weapon hold hopefully got fired
--self.parts.wpn_fps_sho_striker_b_noforegrip.weapon_hold_override = {
--			bm_w_striker = ""
--		}     
--self.parts.wpn_fps_sho_striker_b_noforegrip.weapon_stance_override = {
--            bm_w_striker = "striker"
--        }

--HK21
self.parts.wpn_fps_lmg_hk21_fg_novg.weapon_hold_override = {
            bm_w_hk21 = "par"
        }   
self.parts.wpn_fps_lmg_hk21_fg_novg.weapon_stance_override = {
            bm_w_hk21 = "hk21_novgp"
        }
		
--Micro Uzi
self.parts.wpn_fps_smg_baka_s_folded.weapon_hold_override = {
            bm_w_baka = "scorpion"
        }     

self.parts.wpn_fps_smg_baka_s_folded.weapon_stance_override = {
            bm_w_baka = "baka_stock"
        }

--MP9
self.parts.wpn_fps_smg_mp9_fg_noforegrip.weapon_hold_override = {
            bm_w_mp9 = "mac11"
        }     
self.parts.wpn_fps_smg_mac10_body_ris_vg.stance_mod = {wpn_fps_smg_mac10 = {translation = Vector3(0, 14, -3.2)}}
self.parts.wpn_fps_smg_mp9_fg_noforegrip.weapon_stance_override = {
            bm_w_mp9 = "mp9_novgp"
        }

		
--local hk21sights = {
--"wpn_fps_upg_o_specter",
--}
--for i, part_id in ipairs(hk21sights) do
--	if not self.parts[part_id].override 	then self.parts[part_id].override = {}	end
--	self.parts[part_id].override.wpn_fps_lmg_hk21_fg_novg = {stance_mod = {wpn_fps_lmg_hk21 = {translation = Vector3(0.15, 10.8, 2.7),rotation = Rotation(0, -0.5, 2.6)}}}
--end

--Underbarrel Weapons Pack Compatibility 
		

--Extra Rail
if not self.parts.wpn_fps_smg_mp5_fg_mp5sd.override then
	self.parts.wpn_fps_smg_mp5_fg_mp5sd.override = {}
end

self.parts.wpn_fps_smg_mp5_fg_mp5sd.override.wpn_fps_m4_fg_hk416cforegrip = {adds = {"wpn_fps_addon_ris_vg"},a_obj = "a_fpakwvg"}
self.parts.wpn_fps_smg_mp5_fg_mp5sd.override.wpn_fps_m4_fg_augforegrip = {adds = {"wpn_fps_addon_ris_vg"},a_obj = "a_fpakwvg"}
self.parts.wpn_fps_smg_mp5_fg_mp5sd.override.wpn_fps_m4_fg_mp7foregrip = {adds = {"wpn_fps_addon_ris_vg"},a_obj = "a_fpakwvg"}
self.parts.wpn_fps_smg_mp5_fg_mp5sd.override.wpn_fps_m4_fg_cz805foregrip = {adds = {"wpn_fps_addon_ris_vg"},a_obj = "a_fpakwvg"}
self.parts.wpn_fps_smg_mp5_fg_mp5sd.override.wpn_fps_m4_fg_angleforegrip = {adds = {"wpn_fps_addon_ris_vg"},a_obj = "a_fpakwvg"}
self.parts.wpn_fps_smg_mp5_fg_mp5sd.override.wpn_fps_m4_fg_tr1foregrip = {adds = {"wpn_fps_addon_ris_vg"},a_obj = "a_fpakwvg"}


if not self.wpn_fps_smg_mp5.override then
	self.wpn_fps_smg_mp5.override = {}
end
self.wpn_fps_smg_mp5.override.wpn_fps_addon_ris_vg = {a_obj = "a_fpakwfl"}

self.parts.wpn_fps_smg_mp5_fg_m5k.override = self.parts.wpn_fps_smg_mp5_fg_m5k.override or {}
self.parts.wpn_fps_smg_mp5_fg_m5k.override.wpn_fps_m4_fg_hk416cforegrip = {a_obj = "a_fpakwvg2"}

--self.parts.wpn_fps_smg_mp9_fg_noforegrip.stance_mod = deep_clone(self.parts.wpn_fps_smg_mac10_body_ris_special.stance_mod)
--self.parts.wpn_fps_pis_m1911_fg_tommy.weapon_reload_override = {
--            bm_w_colt_1911 = "cobray"
--        }






end )